*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #222;
}
.cube{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 200px;
    height: 200px;
    /* border: 1px solid red; */
    transform-style: preserve-3d;
    transform: rotateX(30deg);
    animation: animate 7s linear infinite;
}
@keyframes animate{
    0%{
        transform: rotateX(5deg) rotateY(0deg);
    }
    100%{
        transform: rotateX(5deg) rotateY(360deg);
    }
}
.cube span{
    position: absolute;
    top: -60px;
    left: 0;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
}
.cube span div{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* border: 2px solid blue; */
    transform-style: preserve-3d;
    background: radial-gradient(rgb(255,242,0),rgb(255, 132, 0),rgb(232,70,0)80%);
    transform: rotateY(calc(90deg * var(--i))) translateZ(100px);
}
.shadow{
    position: absolute;
    top: 200px;
    left: 20;
    width: 400px;
    height: 400px;
    filter: blur(50px);
    background:rgb(232,70,0);
    transform: rotateX(90deg) translateZ(100px);
    box-shadow: 0 0 120px rgb(232,70,0),
    0 0 200px rgb(232,70,0),
    0 0 400px rgb(232,70,0),
    0 0 600px rgb(232,70,0),
    0 0 800px rgb(232,70,0);
}